
/**
 * A class that represents an MSOE student
 * @author hornick
 *
 */
public class Student implements Comparable<Student> {
	private String lastName;
	private String firstName;
	private int birthDate; // format mmddyyyy
	private double gpa;     // 3-digit number e.g. 3.51
	private int major;		// 1-digit number e.g. 1
	
	public Student( String lName, String fName, int dob, double gpa, int major, int program ) {
		lastName = lName;
		firstName = fName;
		birthDate = dob;
		this.gpa = gpa;
		this.major = major;
	}
	
	/** 
	 * computes a pseudo-unique hash value from attributes of this class.
	 */

	public int hashCode() {
		return super.hashCode(); // return Object's rendition
	}	
	
	/** Compares two students by lastname and firstname
	 * @param other another Student to compare the current Student to
	 * @return -1: lexicographically less than; 0: equal to; 1: greater than
	 */
	public int compareTo(Student other) {
		int compareValue = lastName.compareTo( other.lastName );
		if( compareValue == 0 ) {
			compareValue = firstName.compareTo( other.firstName );
		}
		
		return compareValue;
	}
	
	/**
	 * override of Object.toString() method for this class
	 */
	public String toString() {
		return lastName + "," + firstName;
	}
	
}
